package benefactorkindboxreqservice

import (
	"context"

	param "git.gocasts.ir/ebhomengo/niki/param/benefactor/kind_box_req"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) Get(ctx context.Context, req param.KindBoxReqGetRequest) (param.KindBoxReqGetResponse, error) {
	const op = "userkindboxreqservice.Get"

	kindBoxReq, err := s.repo.GetKindBoxReqByID(ctx, req.KindBoxReqID)
	if err != nil {
		return param.KindBoxReqGetResponse{}, richerror.New(op).WithErr(err)
	}

	return param.KindBoxReqGetResponse{KindBoxReq: kindBoxReq}, nil
}
